/*This do-file will recreate table 3 of the paper "Splitting the Difference?" by Butler and Butler.  See paper for full explanation*/


#delimit; clear; set mem 900m; 
/*NOTE - YOU WILL NEED TO PUT THE FULL PATH NAME OF THE FILE HERE*/
	use "RA Checks.dta", clear;
	
/*Balance on Democractic President in office*/
	g dv=dem_pres;
	/*Create variables to be used for getting predicted values*/
		orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
		regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
		predict yhat1 if ldvs<=.5;
		predict stderror1, stdp;
		drop pdvs pdvs2 pdvs3 pdvs4;
		orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
		regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
		predict yhat2 if ldvs>=.5;
		predict stderror2, stdp;
		drop pdvs pdvs2 pdvs3 pdvs4;
		g D = 0;
		replace D=1 if ldvs>.5;
		replace D=. if ldvs==.;
	/*Getting the Results Results*/
		/*All the data - using simple difference in means test*/
			regress dv D;
		/*10 % Dem-Rep*/
			regress dv D if ldvs>.4 & ldvs<.6;
		/*5 % Dem-Rep*/
			regress dv D if ldvs>.45 & ldvs<.55;
		/*2 % Dem-Rep*/	
			regress dv D if ldvs>.48 & ldvs<.52;
		/*Polynomial*/
			disp yhat2[_N]-yhat1[_N];
			disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);



/*Balance on Per capita Personal Income in the State*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv= inc;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on State Population*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv= pop;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on Presidential Election*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=pelect;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on State in South*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=south;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);


/*Balance on State in Northeast*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=north;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on State in Midwest*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=midw;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on State in West*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=west;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on Republican President in Presidential election year*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=p_rep;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;	
	regress dv D if ldvs>.4 & ldvs<.6; 
	regress dv D if ldvs>.45 & ldvs<.55; 
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on Republican President in Midterm election year*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=mid_rep;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on Democratic President in Presidential election year*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=p_dem;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on Democratic President in Midterm election year*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=mid_dem;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);


/*Balance on Presidential Vote Share*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=pres_dvs;
	replace dv=. if dvs==.;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on open seat*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=open;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on the ADA score for the other Senate seat*/
	drop  D yhat1 yhat2 stderror1 stderror2;
	replace dv=lada_other_grose;
	replace ldvs=dvs;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	gen D = 0;
	replace D=1 if ldvs>.5;
	replace D=. if ldvs==.;
	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);

/*Balance on the ADA score for the same Senate seat*/
	drop  yhat1 yhat2 stderror1 stderror2;
	replace dv=lada_own_grose;
	replace ldvs=.5 if _n==2999;
	orthpoly ldvs if ldvs<=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs<.5; 
	predict yhat1 if ldvs<=.5;
	predict stderror1, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;
	orthpoly ldvs if ldvs>=.5, deg(4) generate(pdvs pdvs2 pdvs3 pdvs4);
	regress dv pdvs pdvs2 pdvs3 pdvs4 if ldvs>.5 ; 
	predict yhat2 if ldvs>=.5;
	predict stderror2, stdp;
	drop pdvs pdvs2 pdvs3 pdvs4;

	regress dv D;
	regress dv D if ldvs>.4 & ldvs<.6;
	regress dv D if ldvs>.45 & ldvs<.55;
	regress dv D if ldvs>.48 & ldvs<.52;
	disp yhat2[_N]-yhat1[_N];
	disp sqrt(stderror1[_N]^2 + stderror2[_N]^2);
